org.apache.maven.scm.provider.starteam.command.status

## Class StarteamStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.starteam.command.status.StarteamStatusCommand

- All Implemented Interfaces:
    Command, StarteamCommand

      public class StarteamStatusCommand
      extends AbstractStatusCommand
      implements StarteamCommand

  Version:
    $Id: StarteamStatusCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Dan T. Tran

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarteamStatusCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(StarteamScmProviderRepository repo, ScmFileSet workingDirectory)`
    `protected StatusScmResult` | `executeStatusCommand(ScmProviderRepository repo, ScmFileSet fileSet)`

    - ### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### StarteamStatusCommand

          public StarteamStatusCommand()

  - ### Method Detail

    - #### executeStatusCommand

          protected StatusScmResult executeStatusCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet)
                                                  throws ScmException

      Specified by:
        `executeStatusCommand` in class `AbstractStatusCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(StarteamScmProviderRepository repo,
                                                                   ScmFileSet workingDirectory)

Copyright © 2003–2015. All rights reserved.